Package be.e_contract.ejsf.converter

# Class TrimConverter

java.lang.Object
be.e_contract.ejsf.converter.TrimConverter

All Implemented Interfaces:
  `javax.faces.convert.Converter`

public class TrimConverter extends Object implements javax.faces.convert.Converter

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CONVERTER_ID`

### Fields inherited from interface javax.faces.convert.Converter

`DATETIMECONVERTER_DEFAULT_TIMEZONE_IS_SYSTEM_TIMEZONE_PARAM_NAME`

## Constructor Summary

Constructors
Constructor
Description
`TrimConverter()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getAsObject(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String value)`
`String`
`getAsString(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CONVERTER_ID

public static final String CONVERTER_ID

See Also:
  - Constant Field Values

## Constructor Details

### TrimConverter

public TrimConverter()

## Method Details

### getAsObject

public Object getAsObject(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String value)

Specified by:
  `getAsObject` in interface `javax.faces.convert.Converter`

### getAsString

public String getAsString(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, Object value)

Specified by:
  `getAsString` in interface `javax.faces.convert.Converter`